## libnop 0.0~git20200728.45dfe0f

=== debian/changelog ===
libnop (0.0~git20200728.45dfe0f-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libnop-dev: Add Multi-Arch: same.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Adrian Bunk ]
  * d/patches/tests-opt.patch: Build tests with default optimization
    (Closes: #1079562)

 -- Aron Xu <aron@debian.org>  Tue, 03 Sep 2024 21:51:51 +0800

libnop (0.0~git20200728.45dfe0f-4) unstable; urgency=medium

  * Cherry-pick upstream commit to fix GCC-11 FTBFS. (Closes: #984190)
  * Add d/watch file to track upstream changes.

 -- Mo Zhou <lumin@debian.org>  Sat, 13 Nov 2021 15:08:42 -0500

libnop (0.0~git20200728.45dfe0f-3) unstable; urgency=medium

  * Cherry-pick upstream patch to fix FTBFS on 32-bit archs. (Closes: #973799)

 -- Mo Zhou <lumin@debian.org>  Wed, 02 Dec 2020 14:15:01 +0800

libnop (0.0~git20200728.45dfe0f-2) unstable; urgency=medium

  * Upload to unstable.
  * Please pin to this upstream snapshot for the snapshot of tensorpipe
    required by PyTorch 1.7.0 as build dependency.

 -- Mo Zhou <lumin@debian.org>  Mon, 02 Nov 2020 11:06:52 +0800

libnop (0.0~git20200728.45dfe0f-1) experimental; urgency=medium

  * Initial release. (Closes: #973341)

 -- Mo Zhou <lumin@debian.org>  Sat, 31 Oct 2020 11:20:12 +0800
