=== debian/control ===
Source: libnop
Section: libdevel
Homepage: https://github.com/google/libnop
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/deeplearning-team/libnop.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/libnop
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13), libgtest-dev, libgmock-dev,
Rules-Requires-Root: no

Package: libnop-dev
Architecture: any
Depends: ${misc:Depends}
Multi-Arch: same
Description: C++ Native Object Protocols
 libnop is a header-only library for serializing and deserializing C++ data
 types without external code generators or runtime support libraries. The only
 mandatory requirement is a compiler that supports the C++14 standard.
 .
 libnop has the following goals:
 .
   * Make simple serialization tasks easy and complex tasks tractable.
   * Remove the need to use code generators and schema files to describe
     data types, formats, and protocols: perform these tasks naturally
     within the C++ language.
   * Avoid additional runtime support requirements for serialization.
   * Provide contemporary features such as bidirectional binary
     compatibility, data validation, type safety, and type fungibility.
   * Handle intrinsic types, common STL types and containers, and
     user-defined types with a minimum of effort.
   * Produce optimized code that is easy to analyze and profile.
   * Avoid internal dynamic memory allocation when possible.
