## libnop 0.0~git20211103.35e800d

=== debian/changelog ===
libnop (0.0~git20211103.35e800d-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20211103.35e800d.
  * d/control: bump std-ver to 4.7.2 (no changes required).
  * d/patches: remove applied patches.
  * d/patches: remove hardcoded -std=c++14 to fix FTBFS to make gtest happy.
    (closes: #1114177)
  * d/control: mark libnop-dev as Architecture: all since it's header-only.

 -- Shengqi Chen <harry@debian.org>  Sat, 13 Sep 2025 17:32:10 +0800
