=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libdevel
 Homepage: https://github.com/google/libnop
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/deeplearning-team/libnop.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/libnop
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
@@ -11,9 +11,9 @@
 Rules-Requires-Root: no
 
 Package: libnop-dev
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}
-Multi-Arch: same
+Multi-Arch: foreign
 Description: C++ Native Object Protocols
  libnop is a header-only library for serializing and deserializing C++ data
  types without external code generators or runtime support libraries. The only
