=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_test:
	find out -type f -executable ! -name '*.so' -exec '{}' \;
